#include <iostream>
#include <vector>
 
int main() {
    int first_run;
    std::cin >> first_run;
 
    if (first_run == 0) {
        // Первый запуск
        int n;
        std::cin >> n;
        std::vector<long long> cards(n);
        
        for (int i = 0; i < n; ++i) {
            std::cin >> cards[i];
	    if (cards[i] == i + 1) {
 	       std::cout << i + 1 << std::endl;
               return 0; 
            }

        }
        
        
        
        std::cout << -1 << std::endl; // FIXED
    } else {
	        std::cout << first_run << std::endl; // FIXED
    }
 
    return 0;
}
